#ifndef I_MODEL_H
#define I_MODEL_H

#include <vulkan/vulkan.h>

class I_Model
{
    public:
        virtual ~I_Model() {}; // Виртуальный деструктор для корректной работы деструкторов в полиморфизме
        virtual void render(VkCommandBuffer commandBuffer) = 0;
    protected:
        virtual void bindBuffers(VkCommandBuffer commandBuffer) = 0;
};

#endif // I_MODEL_H